Name:           torsocks
Version:        2.3.0
Release:        %mkrel 2
Summary:        Use socks-friendly applications with Tor
License:        GPLv2+
Group:          Networking/Other
URL:            https://gitweb.torproject.org/torsocks.git
Source0:        https://people.torproject.org/~dgoulet/torsocks/torsocks-%{version}.tar.xz
Source1:        https://people.torproject.org/~dgoulet/torsocks/torsocks-%{version}.tar.xz.asc

%description
Torsocks allows you to use most socks-friendly applications in a safe
way with Tor. It ensures that DNS requests are handled safely and
explicitly rejects UDP traffic from the application you're using.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# For bash completion.
install -p -D -m0644 extras/torsocks-bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/torsocks

%files
%doc ChangeLog doc/socks/* doc/notes/*
%license gpl-2.0.txt
%config(noreplace) %{_sysconfdir}/tor/%{name}.conf
%config(noreplace) %{_sysconfdir}/bash_completion.d/torsocks
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}.so*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*
%{_mandir}/man8/%{name}.8*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.3.0-2.mga8
+ Revision: 1520411
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 20 2018 daviddavid <daviddavid> 2.3.0-1.mga7
+ Revision: 1332293
- new version: 2.3.0

* Sun Sep 23 2018 umeabot <umeabot> 2.2.0-2.mga7
+ Revision: 1301442
- Mageia 7 Mass Rebuild

* Mon Aug 14 2017 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1140312
- new version: 2.2.0
- add an URL and Source URL

* Fri Jan 22 2016 daviddavid <daviddavid> 1.3-5.mga6
+ Revision: 926441
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.3-4.mga5
+ Revision: 742118
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-3.mga5
+ Revision: 689927
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3-2.mga4
+ Revision: 530085
- Mageia 4 Mass Rebuild

* Tue Jul 16 2013 boklm <boklm> 1.3-1.mga4
+ Revision: 455080
- imported package torsocks

